Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Acceptor_Filter Class Reference

Default Acceptor_Filter. More...

`#include <Default_Acceptor_Filter.h>`

Inheritance diagram for TAO_Default_Acceptor_Filter:

[legend]
Collaboration diagram for TAO_Default_Acceptor_Filter:

[legend]
List of all members.

## Public Methods
| TAO_Default_Acceptor_Filter (void)
int | fill_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, TAO_Acceptor **acceptors_begin, TAO_Acceptor **acceptors_end, CORBA::Short priority=TAO_INVALID_PRIORITY)
| Populate <mprofile> with all available endpoints.
int | encode_endpoints (TAO_MProfile &mprofile)

## Detailed Description

Default Acceptor_Filter.

Default strategy for populating mprofile: all available endpoints are included.

## Constructor & Destructor Documentation

TAO_Default_Acceptor_Filter::TAO_Default_Acceptor_Filter | ( | void |  | ) |

## Member Function Documentation

int TAO_Default_Acceptor_Filter::encode_endpoints | ( | TAO_MProfile & | mprofile | ) | `[virtual]`

| Encodes the endpoints in the profiles into the TAO_TAG_ENDPOINTS tag component of profiles. Implements TAO_Acceptor_Filter.

int TAO_Default_Acceptor_Filter::fill_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | TAO_Acceptor ** | acceptors_begin,
|  | TAO_Acceptor ** | acceptors_end,
|  | CORBA::Short | priority = TAO_INVALID_PRIORITY
| ) | `[virtual]`

| Populate <mprofile> with all available endpoints. Implements TAO_Acceptor_Filter.

The documentation for this class was generated from the following files:

- Default_Acceptor_Filter.h
- Default_Acceptor_Filter.cpp